/**
 * Blank Zurb Foundation 6 - theme class
 * 
 * 
 * 
 * @copyright SCHLIX Web Inc
 *
 * @license MIT
 *
 * @package blankzurbfoundation6
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    https://www.schlix.com
 */

// Bootstrap 3 does not allow submenu level greater than 2 by default. This 
// is the patch
$(document).ready(function(){
	
/**
 * Fix bootstrap class
 * @param {string} orig
 * @param {string} newclass
 */
function fixBootstrapClass(orig, newclass)
{
    $(orig).each(function(li) { 
        
        $(this).addClass(newclass); 
    });    
}


/**
 * On DOM Ready
 */
$(document).ready(function() {

    // ordering matters
    var bootstrap_translation = {
        // Button
        '.btn-readmore' :  'ui primary button',
        '.btn-info' :  'primary',
        '.btn-default' :  'secondary',
        '.btn-success' :  'success',
        '.btn-warning' :  'alert',
        '.btn-danger' :  'alert',        
        '.btn': 'button',
        
        
        // Panel
        //'.panel': 'callout',
        // Breadcrumb
        'ul.breadcrumb' : 'breadcrumbs',
        
        // Pagination
        '.pagination_current' : 'current',
        // Form
        '.input-group-btn' :  'input-group-button',
        '.input-group-addon': 'input-group-label',
        '.form-control': 'input-group-field',
        
        // Grid
        '[class*="col-"]': 'columns',
        '.col-md-1': 'medium-1',
        '.col-md-2': 'medium-2',
        '.col-md-3': 'medium-3',
        '.col-md-4': 'medium-4',
        '.col-md-5': 'medium-5',
        '.col-md-6': 'medium-6',
        '.col-md-7': 'medium-7',
        '.col-md-8': 'medium-8',
        '.col-md-9': 'medium-9',
        '.col-md-10': 'medium-10',
        '.col-md-11': 'medium-11',
        '.col-md-12': 'medium-12',
        '.navbar-nav .dropdown-menu':'menu vertical'
        // Theme
        

        
    };
    
    for (var key in bootstrap_translation) {
      if (bootstrap_translation.hasOwnProperty(key)) {
        fixBootstrapClass(key, bootstrap_translation[key]);
      }
    }   
 
  });
  
 $(document).foundation(); 

});

